Beta — endpoints, schemas, limits and examples may change before general availability.
Hellomateo API Documentation
Messaging

List Conversations

GET
/v1/conversations

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Query Parameters

id?string
id[in]?string
inbox?string
inbox[in]?string
channel?string
channel[in]?string
contact?string
contact_external_id?string
tag?string
external_id?string
external_id[in]?string
channel_type?string
channel_type[in]?string
status?string
status[in]?string
is_spam?boolean
unread?boolean
limit?integer
Default10
Range0 <= value <= 100
page_token?string
Length1 <= length
include?array<>

Additional fields to include in the response. Use repeated query syntax: include=foo&include=bar

Response Body

application/json

curl -X GET "https://api.getmateo.com/v1/conversations"
{  "object": "list",  "data": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "organisation_id": "9ec26450-a51e-40b1-a49f-e04045480fd5",      "inbox_id": "5127f22b-d152-46dd-aeaa-3a852d9fbfc2",      "channel_id": "bbe8aa76-a4bb-46f6-a785-df8e831cc459",      "channel_type": "email",      "contact_id": "f245e2a3-e141-4d41-912c-b1c1f5bd5598",      "assignee_id": "e209ca2d-190b-4818-b659-67d4ef4f1ce8",      "assignee_cs_agent_id": "6b0de094-321e-4206-95ea-2ae9589c262a",      "external_id": "string",      "subject": "string",      "snippet": "string",      "status": "archived",      "is_spam": true,      "unread": true,      "latest_activity_created_at": "2019-08-24T14:15:22Z",      "latest_message_id": "1a19b239-4006-479e-9c76-8fa1f28ff7ee",      "latest_message_created_at": "2019-08-24T14:15:22Z",      "latest_message_forwarded": true,      "latest_message_attachment_count": -9007199254740991,      "latest_inbound_message_id": "a566b06b-d83c-4def-8cf8-405f598d2322",      "latest_inbound_message_created_at": "2019-08-24T14:15:22Z",      "latest_inbound_voice_call_id": "9ffb4be8-00d1-4f24-b40f-f817e7c3aa80",      "latest_inbound_voice_call_created_at": "2019-08-24T14:15:22Z",      "opened_by_message_id": "ea2b1ae7-ed69-46ca-aa10-50655e10028a",      "opened_by_voice_call_id": "10faeba8-6666-4ce3-b388-2508cef0c00f",      "session_ends_at": "2019-08-24T14:15:22Z",      "created_at": "2019-08-24T14:15:22Z",      "updated_at": "2019-08-24T14:15:22Z",      "deleted_at": "2019-08-24T14:15:22Z",      "contact": {        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",        "display_name": "string",        "full_name": "string",        "salutation": "string",        "birthday": "2019-08-24T14:15:22Z",        "description": "string",        "external_id": "string",        "secondary_external_id": "string",        "address_line1": "string",        "address_line2": "string",        "city": "string",        "zipcode": "string",        "country": "string",        "is_blocked": true,        "organisation_id": "9ec26450-a51e-40b1-a49f-e04045480fd5",        "created_at": "2019-08-24T14:15:22Z",        "updated_at": "2019-08-24T14:15:22Z"      },      "inbox": {        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",        "organisation_id": "9ec26450-a51e-40b1-a49f-e04045480fd5",        "name": "string",        "description": "string",        "emoji": "string",        "key": "string",        "is_gallery": true,        "is_default": true,        "conversation_count": -9007199254740991,        "created_at": "2019-08-24T14:15:22Z",        "updated_at": "2019-08-24T14:15:22Z",        "deleted_at": "2019-08-24T14:15:22Z"      },      "channel": {        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",        "organisation_id": "9ec26450-a51e-40b1-a49f-e04045480fd5",        "inbox_id": "5127f22b-d152-46dd-aeaa-3a852d9fbfc2",        "name": "string",        "handle": "string",        "alias": [          "string"        ],        "type": "email",        "status": "active",        "active": true,        "provider_id": "fe3d49af-4061-436b-ae60-f7044f252a44",        "provider_type": "360dialog-whatsapp-business-account",        "external_id": "string",        "link": "string",        "daily_message_limit": -9007199254740991,        "sms_available": true,        "voice_available": true,        "voice_enabled": true,        "created_at": "2019-08-24T14:15:22Z",        "updated_at": "2019-08-24T14:15:22Z",        "deleted_at": "2019-08-24T14:15:22Z",        "provider": {          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",          "organisation_id": "9ec26450-a51e-40b1-a49f-e04045480fd5",          "name": "string",          "type": "twilio-regulatory-bundle",          "status": "draft",          "external_id": "string",          "config": {            "property1": null,            "property2": null          },          "authorised_channel_types": [            "email"          ],          "authorised_review_channel_types": [            "google-my-business"          ],          "rejection_reason": "string",          "created_at": "2019-08-24T14:15:22Z",          "updated_at": "2019-08-24T14:15:22Z",          "deleted_at": "2019-08-24T14:15:22Z",          "created_by": "string",          "created_by_api_token_id": "e81f6f5f-9312-4aeb-bac0-3375e69caa13",          "created_by_employee_id": "d9fa9aff-398c-4184-a53d-7cf01a7f9977",          "created_by_rule_id": "e28a8378-4118-4d67-bafc-6defcbfa0a05",          "updated_by": "string",          "updated_by_api_token_id": "e3b0e0f8-7b50-441e-9788-374a303c5789",          "updated_by_employee_id": "11909ba2-c75a-4625-b035-6d663130e1c7",          "updated_by_rule_id": "7032327f-7c79-4519-91ea-4b88323cfd2e"        }      },      "latest_inbound_message": {        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",        "organisation_id": "9ec26450-a51e-40b1-a49f-e04045480fd5",        "inbox_id": "5127f22b-d152-46dd-aeaa-3a852d9fbfc2",        "conversation_id": "cc71b11a-25cd-4c2d-9950-df2cc38e3407",        "channel_id": "bbe8aa76-a4bb-46f6-a785-df8e831cc459",        "channel_type": "email",        "author_id": "string",        "author_type": "bot",        "is_inbound": true,        "forwarded": true,        "content": {          "type": "root",          "children": [            {              "type": "text",              "content": "string",              "bold": true,              "underline": true,              "strikethrough": true,              "italic": true            }          ],          "style": {            "color": "string",            "fontSize": 0,            "fontFamily": "string",            "alignment": "left"          }        },        "raw_content": "string",        "snippet": "string",        "subject": "string",        "footer": "string",        "contacts": [          {            "addresses": [              {                "city": "string",                "country": "string",                "country_code": "string",                "state": "string",                "street": "string",                "type": "string",                "zip": "string"              }            ],            "birthday": "string",            "emails": [              {                "email": "string",                "type": "string"              }            ],            "name": {              "formatted_name": "string",              "first_name": "string",              "last_name": "string",              "middle_name": "string",              "suffix": "string",              "prefix": "string"            },            "org": {              "company": "string",              "department": "string",              "title": "string"            },            "phones": [              {                "phone": "string",                "type": "string",                "wa_id": "string"              }            ],            "urls": [              {                "url": "string",                "type": "string"              }            ]          }        ],        "external_files": [          {            "url": "string",            "type": "audio"          }        ],        "files": [          {            "name": "string",            "metadata": {              "property1": null,              "property2": null            },            "property1": null,            "property2": null          }        ],        "header_media_filename": "string",        "error": {          "property1": null,          "property2": null        },        "error_code": "string",        "status": "answered",        "send_after": "2019-08-24T14:15:22Z",        "sent_at": "2019-08-24T14:15:22Z",        "timestamp": "2019-08-24T14:15:22Z",        "date": "2019-08-24T14:15:22Z",        "template_id": "c6d67e98-83ea-49f0-8812-e4abae2b68bc",        "sendout_id": "355312a2-92c6-4c00-afe0-809e43e2623b",        "campaign_id": "78614b6c-fe7c-41e2-8e25-c9b3a3c91904",        "review_channel_id": "ee220a3f-5683-4244-a09c-c291f465ddc9",        "reply_to_message_id": "7ee4bcf0-8f1b-4bb4-86b4-8565dd84787f",        "attachment_count": -9007199254740991,        "placeholder_values": [          "string"        ],        "location": "string",        "location_metadata": {          "address": "string",          "name": "string",          "url": "string"        },        "quoted_message_content": {          "type": "root",          "children": [            {              "type": "text",              "content": "string",              "bold": true,              "underline": true,              "strikethrough": true,              "italic": true            }          ],          "style": {            "color": "string",            "fontSize": 0,            "fontFamily": "string",            "alignment": "left"          }        },        "quoted_message_text": "string",        "forwarded_message_content": {          "type": "root",          "children": [            {              "type": "text",              "content": "string",              "bold": true,              "underline": true,              "strikethrough": true,              "italic": true            }          ],          "style": {            "color": "string",            "fontSize": 0,            "fontFamily": "string",            "alignment": "left"          }        },        "forwarded_message_text": "string",        "cleared_at": "2019-08-24T14:15:22Z",        "external_id": "string",        "created_by_api_token_id": "e81f6f5f-9312-4aeb-bac0-3375e69caa13",        "created_by_rule_id": "e28a8378-4118-4d67-bafc-6defcbfa0a05",        "cs_agent_session_id": "f10cf73a-2212-4843-a9f4-4bb7c0cdb796",        "form_element_submission_id": "d0037128-4dc4-4a2d-84f9-bea83b354986",        "journey_node_execution_id": "a431991a-5961-427d-b58c-37e1c7e66dbb",        "omni_channel_message_id": "2c9cf582-c256-4aba-b848-208a5365a7d8",        "marketing_channel_id": "ae5680ad-b032-4fd0-b011-98eba965b308",        "triggered_message_action_id": "27f20eaa-277d-4a09-8d2d-4073b2311955",        "created_at": "2019-08-24T14:15:22Z",        "updated_at": "2019-08-24T14:15:22Z"      },      "tags": [        {          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",          "organisation_id": "9ec26450-a51e-40b1-a49f-e04045480fd5",          "name": "string",          "description": "string",          "color": "string",          "conversation_count": -9007199254740991,          "created_at": "2019-08-24T14:15:22Z",          "updated_at": "2019-08-24T14:15:22Z"        }      ]    }  ],  "next_page_url": "string",  "previous_page_url": "string"}